Mario

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
More information: https://helloreverb.com
Contact Info: hello@helloreverb.com
Version: v2
All rights reserved
http://apache.org/licenses/LICENSE-2.0.html

Access

Methods

[ Jump to Models ]

Table of Contents

CheckIns

ClassReflections

Conferences

Profile

Staffs

Students

Surveys

CheckIns

Up
get /CheckIns
(checkInsGet)

Query parameters

UserId (optional)
Query Parameter
StartDate (optional)
Query Parameter — format: date-time
EndDate (optional)
Query Parameter — format: date-time
IsOneToOneConversation (optional)
Query Parameter
CurrentPage (optional)
Query Parameter — format: int32
PageSize (optional)
Query Parameter — format: int32

Return type

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.CheckIns.SessionResponseDto]

Example data

Content-Type: application/json
{
  "totalItems" : 1,
  "totalPages" : 5,
  "pageSize" : 6,
  "currentPage" : 0,
  "items" : [ {
    "studentId" : 7,
    "teacherEmail" : "teacherEmail",
    "studentEmail" : "studentEmail",
    "teacherId" : 2,
    "academicYear" : "academicYear",
    "teacherName" : "teacherName",
    "studentName" : "studentName",
    "id" : 5,
    "results" : [ {
      "startTime" : "2000-01-23T04:56:07.000+00:00",
      "isTeacherResult" : true,
      "id" : 9,
      "endTime" : "2000-01-23T04:56:07.000+00:00",
      "isDone" : true
    }, {
      "startTime" : "2000-01-23T04:56:07.000+00:00",
      "isTeacherResult" : true,
      "id" : 9,
      "endTime" : "2000-01-23T04:56:07.000+00:00",
      "isDone" : true
    } ],
    "startDate" : "2000-01-23T04:56:07.000+00:00"
  }, {
    "studentId" : 7,
    "teacherEmail" : "teacherEmail",
    "studentEmail" : "studentEmail",
    "teacherId" : 2,
    "academicYear" : "academicYear",
    "teacherName" : "teacherName",
    "studentName" : "studentName",
    "id" : 5,
    "results" : [ {
      "startTime" : "2000-01-23T04:56:07.000+00:00",
      "isTeacherResult" : true,
      "id" : 9,
      "endTime" : "2000-01-23T04:56:07.000+00:00",
      "isDone" : true
    }, {
      "startTime" : "2000-01-23T04:56:07.000+00:00",
      "isTeacherResult" : true,
      "id" : 9,
      "endTime" : "2000-01-23T04:56:07.000+00:00",
      "isDone" : true
    } ],
    "startDate" : "2000-01-23T04:56:07.000+00:00"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.CheckIns.SessionResponseDto]

Up
delete /CheckIns/{sessionId}
(checkInsSessionIdDelete)

Path parameters

sessionId (required)
Path Parameter — format: int32

Responses

200

OK

Up
get /CheckIns/{sessionId}
(checkInsSessionIdGet)

Path parameters

sessionId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.CheckIns.CheckInResponseDto

Example data

Content-Type: application/json
{
  "studentId" : 1,
  "teacherEmail" : "teacherEmail",
  "studentEmail" : "studentEmail",
  "teacherId" : 6,
  "academicYear" : "academicYear",
  "teacherName" : "teacherName",
  "questionResponses" : [ {
    "sessionResultId" : 5,
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "listAnswers" : [ "listAnswers", "listAnswers" ],
    "answer" : "answer",
    "questionAnswer" : "questionAnswer",
    "id" : 5,
    "questionName" : "questionName",
    "type" : "Default"
  }, {
    "sessionResultId" : 5,
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "listAnswers" : [ "listAnswers", "listAnswers" ],
    "answer" : "answer",
    "questionAnswer" : "questionAnswer",
    "id" : 5,
    "questionName" : "questionName",
    "type" : "Default"
  } ],
  "studentName" : "studentName",
  "id" : 0,
  "results" : [ {
    "startTime" : "2000-01-23T04:56:07.000+00:00",
    "isTeacherResult" : true,
    "id" : 9,
    "endTime" : "2000-01-23T04:56:07.000+00:00",
    "isDone" : true
  }, {
    "startTime" : "2000-01-23T04:56:07.000+00:00",
    "isTeacherResult" : true,
    "id" : 9,
    "endTime" : "2000-01-23T04:56:07.000+00:00",
    "isDone" : true
  } ],
  "startDate" : "2000-01-23T04:56:07.000+00:00"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.CheckIns.CheckInResponseDto

ClassReflections

Up
delete /ClassReflections/{classReflectionId}
(classReflectionsClassReflectionIdDelete)

Path parameters

classReflectionId (required)
Path Parameter — format: int32

Responses

200

OK

Up
get /ClassReflections/{classReflectionId}
(classReflectionsClassReflectionIdGet)

Path parameters

classReflectionId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.ClassReflections.ClassReflectionDto

Example data

Content-Type: application/json
{
  "note" : "note",
  "actionPoints" : [ {
    "id" : 2,
    "text" : "text",
    "deadline" : "2000-01-23T04:56:07.000+00:00"
  }, {
    "id" : 2,
    "text" : "text",
    "deadline" : "2000-01-23T04:56:07.000+00:00"
  } ],
  "emailTeacher" : "emailTeacher",
  "teacherName" : "teacherName",
  "questionsResult" : [ {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "emotionalQuestionAnswers" : [ {
      "emotionalText" : "emotionalText",
      "id" : 1,
      "text" : "text"
    }, {
      "emotionalText" : "emotionalText",
      "id" : 1,
      "text" : "text"
    } ],
    "question" : "question",
    "answer" : "answer",
    "learningStrategyAnswers" : [ {
      "orderNumberQuestion" : 5,
      "id" : 5,
      "text" : "text",
      "questionText" : "questionText"
    }, {
      "orderNumberQuestion" : 5,
      "id" : 5,
      "text" : "text",
      "questionText" : "questionText"
    } ],
    "id" : 6,
    "type" : "Default"
  }, {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "emotionalQuestionAnswers" : [ {
      "emotionalText" : "emotionalText",
      "id" : 1,
      "text" : "text"
    }, {
      "emotionalText" : "emotionalText",
      "id" : 1,
      "text" : "text"
    } ],
    "question" : "question",
    "answer" : "answer",
    "learningStrategyAnswers" : [ {
      "orderNumberQuestion" : 5,
      "id" : 5,
      "text" : "text",
      "questionText" : "questionText"
    }, {
      "orderNumberQuestion" : 5,
      "id" : 5,
      "text" : "text",
      "questionText" : "questionText"
    } ],
    "id" : 6,
    "type" : "Default"
  } ],
  "isDone" : true,
  "emailStudent" : "emailStudent",
  "startOfDay" : "startOfDay",
  "studentName" : "studentName",
  "grade" : "grade",
  "id" : 0,
  "time" : "2000-01-23T04:56:07.000+00:00",
  "classType" : "classType",
  "status" : "status"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.ClassReflections.ClassReflectionDto

Up
get /ClassReflections
(classReflectionsGet)

Query parameters

SearchString (optional)
Query Parameter
StartDate (optional)
Query Parameter — format: date-time
EndDate (optional)
Query Parameter — format: date-time
CurrentPage (optional)
Query Parameter — format: int32
PageSize (optional)
Query Parameter — format: int32

Return type

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto]

Example data

Content-Type: application/json
{
  "totalItems" : 1,
  "totalPages" : 5,
  "pageSize" : 6,
  "currentPage" : 0,
  "items" : [ {
    "teacherEmail" : "teacherEmail",
    "classDate" : "2000-01-23T04:56:07.000+00:00",
    "teacherName" : "teacherName",
    "sendDate" : "2000-01-23T04:56:07.000+00:00",
    "studentAvatar" : "studentAvatar",
    "studentId" : 2,
    "studentEmail" : "studentEmail",
    "classImpactScore" : "classImpactScore",
    "gradeLevel" : "gradeLevel",
    "studentName" : "studentName",
    "id" : 5,
    "gradeScore" : "gradeScore",
    "receivedDate" : "2000-01-23T04:56:07.000+00:00",
    "classType" : "classType",
    "teacherAvatar" : "teacherAvatar",
    "status" : "status"
  }, {
    "teacherEmail" : "teacherEmail",
    "classDate" : "2000-01-23T04:56:07.000+00:00",
    "teacherName" : "teacherName",
    "sendDate" : "2000-01-23T04:56:07.000+00:00",
    "studentAvatar" : "studentAvatar",
    "studentId" : 2,
    "studentEmail" : "studentEmail",
    "classImpactScore" : "classImpactScore",
    "gradeLevel" : "gradeLevel",
    "studentName" : "studentName",
    "id" : 5,
    "gradeScore" : "gradeScore",
    "receivedDate" : "2000-01-23T04:56:07.000+00:00",
    "classType" : "classType",
    "teacherAvatar" : "teacherAvatar",
    "status" : "status"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto]

Conferences

Up
delete /Conferences/{conferenceId}
(conferencesConferenceIdDelete)

Path parameters

conferenceId (required)
Path Parameter — format: int32

Responses

200

OK

Up
get /Conferences/{conferenceId}
(conferencesConferenceIdGet)

Path parameters

conferenceId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.Conferences.ConferenceDetailDto

Example data

Content-Type: application/json
{
  "conferenceResult" : [ {
    "skillName" : "skillName",
    "skillId" : 9,
    "answer" : [ {
      "matchingAnswer" : true,
      "name" : "name",
      "studentAnswer" : "studentAnswer",
      "id" : 3,
      "teacherAnswer" : "teacherAnswer"
    }, {
      "matchingAnswer" : true,
      "name" : "name",
      "studentAnswer" : "studentAnswer",
      "id" : 3,
      "teacherAnswer" : "teacherAnswer"
    } ]
  }, {
    "skillName" : "skillName",
    "skillId" : 9,
    "answer" : [ {
      "matchingAnswer" : true,
      "name" : "name",
      "studentAnswer" : "studentAnswer",
      "id" : 3,
      "teacherAnswer" : "teacherAnswer"
    }, {
      "matchingAnswer" : true,
      "name" : "name",
      "studentAnswer" : "studentAnswer",
      "id" : 3,
      "teacherAnswer" : "teacherAnswer"
    } ]
  } ],
  "teacherName" : "teacherName",
  "questionsResult" : [ {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "question" : "question",
    "answer" : "answer",
    "id" : 2,
    "type" : "Default"
  }, {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "question" : "question",
    "answer" : "answer",
    "id" : 2,
    "type" : "Default"
  } ],
  "teacherStartTime" : "2000-01-23T04:56:07.000+00:00",
  "counselorId" : 2,
  "studentProfileImage" : "studentProfileImage",
  "studentId" : 5,
  "assistantId" : 5,
  "gradeLevel" : "gradeLevel",
  "teacherId" : 1,
  "conferenceId" : 0,
  "conferenceRubricStudentStatus" : "NotYet",
  "teacherUserId" : "teacherUserId",
  "studentUserId" : "studentUserId",
  "instruction" : "instruction",
  "studentName" : "studentName",
  "name" : "Default",
  "id" : 6,
  "secondaryTeacherId" : 7,
  "studentStartTime" : "2000-01-23T04:56:07.000+00:00",
  "teacherProfileImage" : "teacherProfileImage",
  "averageConferencePointBySkillResult" : [ {
    "skillName" : "skillName",
    "averageFinalChoice" : 4.145608029883936
  }, {
    "skillName" : "skillName",
    "averageFinalChoice" : 4.145608029883936
  } ],
  "startTimeConference" : "2000-01-23T04:56:07.000+00:00"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Conferences.ConferenceDetailDto

Up
get /Conferences
(conferencesGet)

Query parameters

StartDate (optional)
Query Parameter — format: date-time
EndDate (optional)
Query Parameter — format: date-time
CurrentPage (optional)
Query Parameter — format: int32
PageSize (optional)
Query Parameter — format: int32

Return type

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Conferences.ConferenceResponseDto]

Example data

Content-Type: application/json
{
  "totalItems" : 1,
  "totalPages" : 5,
  "pageSize" : 6,
  "currentPage" : 0,
  "items" : [ {
    "academicYear" : "academicYear",
    "teacherName" : "teacherName",
    "studentName" : "studentName",
    "id" : 5,
    "startDate" : "2000-01-23T04:56:07.000+00:00"
  }, {
    "academicYear" : "academicYear",
    "teacherName" : "teacherName",
    "studentName" : "studentName",
    "id" : 5,
    "startDate" : "2000-01-23T04:56:07.000+00:00"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Conferences.ConferenceResponseDto]

Profile

Up
get /Profile/{userId}
(profileUserIdGet)

Path parameters

userId (required)
Path Parameter

Return type

MarioFramework.Api.Services.Profiles.ProfileResponseDto

Example data

Content-Type: application/json
{
  "firstName" : "firstName",
  "lastName" : "lastName",
  "gradeLevel" : "gradeLevel",
  "role" : "role",
  "address" : "address",
  "code" : "code",
  "phone" : "phone",
  "fullName" : "fullName",
  "dateOfBirth" : "dateOfBirth",
  "id" : "id",
  "email" : "email"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Profiles.ProfileResponseDto

Staffs

Up
get /Staffs
(staffsGet)

Query parameters

sortBy (optional)
Query Parameter
sortOrder (optional)
Query Parameter
search (optional)
Query Parameter
includedRoles (optional)
Query Parameter

Return type

array[MarioFramework.Api.Services.Users.StaffDto]

Example data

Content-Type: application/json
[ {
  "roles" : [ "roles", "roles" ],
  "fullName" : "fullName",
  "avatar" : "avatar",
  "userId" : "userId",
  "email" : "email"
}, {
  "roles" : [ "roles", "roles" ],
  "fullName" : "fullName",
  "avatar" : "avatar",
  "userId" : "userId",
  "email" : "email"
} ]

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK

Students

Up
get /Students
(studentsGet)

Query parameters

currentPage (optional)
Query Parameter — format: int32
pageSize (optional)
Query Parameter — format: int32
sortBy (optional)
Query Parameter
sortOrder (optional)
Query Parameter

Return type

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Users.StudentDto]

Example data

Content-Type: application/json
{
  "totalItems" : 1,
  "totalPages" : 5,
  "pageSize" : 6,
  "currentPage" : 0,
  "items" : [ {
    "studentId" : 5,
    "firstName" : "firstName",
    "lastName" : "lastName",
    "grade" : "grade",
    "userId" : "userId",
    "email" : "email"
  }, {
    "studentId" : 5,
    "firstName" : "firstName",
    "lastName" : "lastName",
    "grade" : "grade",
    "userId" : "userId",
    "email" : "email"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Users.StudentDto]

Up
post /Students
(studentsPost)

Consumes

This API call consumes the following media types via the Content-Type request header:

Request body

Body Parameter

Return type

MarioFramework.Api.Services.Users.UserDto

Example data

Content-Type: application/json
{
  "firstName" : "firstName",
  "lastName" : "lastName",
  "createTime" : "2000-01-23T04:56:07.000+00:00",
  "roles" : [ "roles", "roles" ],
  "fullName" : "fullName",
  "dateOfBirth" : "2000-01-23T04:56:07.000+00:00",
  "id" : "id",
  "email" : "email",
  "profileImageFileName" : "profileImageFileName"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Users.UserDto

Up
get /Students/{studentId}
(studentsStudentIdGet)

Path parameters

studentId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.Users.StudentDetailDto

Example data

Content-Type: application/json
{
  "studentId" : 0,
  "firstName" : "firstName",
  "lastName" : "lastName",
  "gender" : "gender",
  "grade" : "grade",
  "schedules" : [ {
    "teacherEmail" : "teacherEmail",
    "period" : "2000-01-23T04:56:07.000+00:00",
    "teacherName" : "teacherName",
    "id" : 6,
    "gradeScore" : "gradeScore",
    "classType" : "classType"
  }, {
    "teacherEmail" : "teacherEmail",
    "period" : "2000-01-23T04:56:07.000+00:00",
    "teacherName" : "teacherName",
    "id" : 6,
    "gradeScore" : "gradeScore",
    "classType" : "classType"
  } ],
  "dateOfBirth" : "2000-01-23T04:56:07.000+00:00",
  "userId" : "userId",
  "email" : "email",
  "status" : "status"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Users.StudentDetailDto

Surveys

Up
get /Surveys
(surveysGet)

Query parameters

SearchString (optional)
Query Parameter
StartDate (optional)
Query Parameter — format: date-time
EndDate (optional)
Query Parameter — format: date-time
CurrentPage (optional)
Query Parameter — format: int32
PageSize (optional)
Query Parameter — format: int32

Return type

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Surveys.SurveyResponseDto]

Example data

Content-Type: application/json
{
  "totalItems" : 1,
  "totalPages" : 5,
  "pageSize" : 6,
  "currentPage" : 0,
  "items" : [ {
    "studentRecipients" : [ {
      "gradeLevel" : "gradeLevel",
      "fullName" : "fullName",
      "id" : 9,
      "avatar" : "avatar"
    }, {
      "gradeLevel" : "gradeLevel",
      "fullName" : "fullName",
      "id" : 9,
      "avatar" : "avatar"
    } ],
    "createdDate" : "2000-01-23T04:56:07.000+00:00",
    "sendDate" : "2000-01-23T04:56:07.000+00:00",
    "createdBy" : "createdBy",
    "id" : 5,
    "title" : "title",
    "deadline" : "2000-01-23T04:56:07.000+00:00",
    "numberOfResponses" : 7,
    "isFavorite" : true,
    "numberOfRecipients" : 2,
    "status" : "Close"
  }, {
    "studentRecipients" : [ {
      "gradeLevel" : "gradeLevel",
      "fullName" : "fullName",
      "id" : 9,
      "avatar" : "avatar"
    }, {
      "gradeLevel" : "gradeLevel",
      "fullName" : "fullName",
      "id" : 9,
      "avatar" : "avatar"
    } ],
    "createdDate" : "2000-01-23T04:56:07.000+00:00",
    "sendDate" : "2000-01-23T04:56:07.000+00:00",
    "createdBy" : "createdBy",
    "id" : 5,
    "title" : "title",
    "deadline" : "2000-01-23T04:56:07.000+00:00",
    "numberOfResponses" : 7,
    "isFavorite" : true,
    "numberOfRecipients" : 2,
    "status" : "Close"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Surveys.SurveyResponseDto]

Up
post /Surveys
(surveysPost)

Consumes

This API call consumes the following media types via the Content-Type request header:

Request body

Body Parameter

Return type

MarioFramework.Api.Services.Surveys.BookSurveyResponseDto

Example data

Content-Type: application/json
{
  "createdDate" : "2000-01-23T04:56:07.000+00:00",
  "sendDate" : "2000-01-23T04:56:07.000+00:00",
  "id" : 0,
  "title" : "title",
  "deadline" : "2000-01-23T04:56:07.000+00:00",
  "numberOfResponses" : 1,
  "isFavorite" : true,
  "numberOfRecipients" : 6,
  "status" : "Close"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Surveys.BookSurveyResponseDto

Up
delete /Surveys/{surveyId}
(surveysSurveyIdDelete)

Path parameters

surveyId (required)
Path Parameter — format: int32

Responses

200

OK

Up
get /Surveys/{surveyId}
(surveysSurveyIdGet)

Path parameters

surveyId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.Surveys.SurveyDetailDto

Example data

Content-Type: application/json
{
  "actionNeedCount" : 5,
  "studentIds" : [ 9, 9 ],
  "title" : "title",
  "allCount" : 6,
  "completedCount" : 5,
  "surveyResults" : [ {
    "template" : "template",
    "questions" : [ {
      "totalResponses" : 1,
      "id" : 2,
      "questionType" : "questionType",
      "questionText" : "questionText",
      "averageScore" : 4.145608029883936,
      "optionCount" : {
        "key" : 7
      }
    }, {
      "totalResponses" : 1,
      "id" : 2,
      "questionType" : "questionType",
      "questionText" : "questionText",
      "averageScore" : 4.145608029883936,
      "optionCount" : {
        "key" : 7
      }
    } ],
    "id" : 3
  }, {
    "template" : "template",
    "questions" : [ {
      "totalResponses" : 1,
      "id" : 2,
      "questionType" : "questionType",
      "questionText" : "questionText",
      "averageScore" : 4.145608029883936,
      "optionCount" : {
        "key" : 7
      }
    }, {
      "totalResponses" : 1,
      "id" : 2,
      "questionType" : "questionType",
      "questionText" : "questionText",
      "averageScore" : 4.145608029883936,
      "optionCount" : {
        "key" : 7
      }
    } ],
    "id" : 3
  } ],
  "createdDate" : "2000-01-23T04:56:07.000+00:00",
  "createdBy" : "createdBy",
  "pendingCount" : 1,
  "missedCount" : 2,
  "id" : 0,
  "deadline" : "2000-01-23T04:56:07.000+00:00",
  "externalCount" : 7,
  "status" : "Close"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Surveys.SurveyDetailDto

Up
get /Surveys/{surveyId}/questions
(surveysSurveyIdQuestionsGet)

Path parameters

surveyId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.Surveys.SurveyTemplateQuestionDto

Example data

Content-Type: application/json
{
  "templateQuestions" : [ {
    "templateName" : "templateName",
    "questions" : [ null, null ],
    "id" : 1
  }, {
    "templateName" : "templateName",
    "questions" : [ null, null ],
    "id" : 1
  } ],
  "additionalQuestions" : [ {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "emotionalQuestionAnswers" : [ {
      "flag" : "Default",
      "emotionalText" : "emotionalText",
      "id" : 6,
      "text" : "text"
    }, {
      "flag" : "Default",
      "emotionalText" : "emotionalText",
      "id" : 6,
      "text" : "text"
    } ],
    "answer" : "answer",
    "questionAnswer" : [ "questionAnswer", "questionAnswer" ],
    "id" : 0,
    "text" : "text",
    "type" : "type",
    "categoryName" : "categoryName"
  }, {
    "fromLabel" : "fromLabel",
    "toLabel" : "toLabel",
    "emotionalQuestionAnswers" : [ {
      "flag" : "Default",
      "emotionalText" : "emotionalText",
      "id" : 6,
      "text" : "text"
    }, {
      "flag" : "Default",
      "emotionalText" : "emotionalText",
      "id" : 6,
      "text" : "text"
    } ],
    "answer" : "answer",
    "questionAnswer" : [ "questionAnswer", "questionAnswer" ],
    "id" : 0,
    "text" : "text",
    "type" : "type",
    "categoryName" : "categoryName"
  } ]
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Surveys.SurveyTemplateQuestionDto

Up
get /Surveys/{surveyId}/{studentId}
(surveysSurveyIdStudentIdGet)

Path parameters

surveyId (required)
Path Parameter — format: int32
studentId (required)
Path Parameter — format: int32

Return type

MarioFramework.Api.Services.Surveys.SurveyStudentDetailDto

Example data

Content-Type: application/json
{
  "surveyResultId" : 6,
  "studentId" : 1,
  "surveyId" : 0,
  "gradeLevel" : "gradeLevel",
  "templates" : [ {
    "template" : "template",
    "questions" : [ {
      "questionId" : 5,
      "answer" : "answer",
      "questionType" : "questionType",
      "questionText" : "questionText"
    }, {
      "questionId" : 5,
      "answer" : "answer",
      "questionType" : "questionType",
      "questionText" : "questionText"
    } ],
    "id" : 5
  }, {
    "template" : "template",
    "questions" : [ {
      "questionId" : 5,
      "answer" : "answer",
      "questionType" : "questionType",
      "questionText" : "questionText"
    }, {
      "questionId" : 5,
      "answer" : "answer",
      "questionType" : "questionType",
      "questionText" : "questionText"
    } ],
    "id" : 5
  } ],
  "fullName" : "fullName",
  "avatar" : "avatar",
  "title" : "title",
  "flagOfSurvey" : "Default"
}

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK MarioFramework.Api.Services.Surveys.SurveyStudentDetailDto

Up
get /Surveys/template-questions
(surveysTemplateQuestionsGet)

Return type

array[MarioFramework.Api.Services.Surveys.SurveyTemplateDto]

Example data

Content-Type: application/json
[ {
  "templateName" : "templateName",
  "questions" : [ null, null ],
  "id" : 1
}, {
  "templateName" : "templateName",
  "questions" : [ null, null ],
  "id" : 1
} ]

Produces

This API call produces the following media types according to the Accept request header; the media type will be conveyed by the Content-Type response header.

Responses

200

OK

Models

[ Jump to Methods ]

Table of Contents

  1. MarioFramework.Api.Services.CheckIns.CheckInResponseDto
  2. MarioFramework.Api.Services.CheckIns.CheckInResultDto
  3. MarioFramework.Api.Services.CheckIns.QuestionResponseDto
  4. MarioFramework.Api.Services.CheckIns.SessionResponseDto
  5. MarioFramework.Api.Services.ClassReflections.ClassReflectionActionPointDto
  6. MarioFramework.Api.Services.ClassReflections.ClassReflectionDto
  7. MarioFramework.Api.Services.ClassReflections.ClassReflectionQuestionDto
  8. MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto
  9. MarioFramework.Api.Services.Conferences.ConferenceDetailDto
  10. MarioFramework.Api.Services.Conferences.ConferenceResponseDto
  11. MarioFramework.Api.Services.Conferences.ConferenceResultDto
  12. MarioFramework.Api.Services.Conferences.ConferenceRubricItemDetailRowDto
  13. MarioFramework.Api.Services.Conferences.QuestionConferenceResultDto
  14. MarioFramework.Api.Services.Profiles.ProfileResponseDto
  15. MarioFramework.Api.Services.Surveys.AnswerOfSurvey
  16. MarioFramework.Api.Services.Surveys.BookSurveyResponseDto
  17. MarioFramework.Api.Services.Surveys.EmotionalQuestionAnswerDto
  18. MarioFramework.Api.Services.Surveys.QuestionAnswerUpdateDto
  19. MarioFramework.Api.Services.Surveys.QuestionTemplateDto
  20. MarioFramework.Api.Services.Surveys.ResultTemplateQuestionDto
  21. MarioFramework.Api.Services.Surveys.StudentRecipient
  22. MarioFramework.Api.Services.Surveys.SurveyCreateRequestDto
  23. MarioFramework.Api.Services.Surveys.SurveyDetailDto
  24. MarioFramework.Api.Services.Surveys.SurveyQuestionDto
  25. MarioFramework.Api.Services.Surveys.SurveyResponseDto
  26. MarioFramework.Api.Services.Surveys.SurveyResultStudentTemplateDto
  27. MarioFramework.Api.Services.Surveys.SurveyResultTemplateDto
  28. MarioFramework.Api.Services.Surveys.SurveyStudentDetailDto
  29. MarioFramework.Api.Services.Surveys.SurveyTemplateDto
  30. MarioFramework.Api.Services.Surveys.SurveyTemplateQuestionDto
  31. MarioFramework.Api.Services.Surveys.TemplateDto
  32. MarioFramework.Api.Services.Users.ScheduleDto
  33. MarioFramework.Api.Services.Users.SortField
  34. MarioFramework.Api.Services.Users.SortFieldStudent
  35. MarioFramework.Api.Services.Users.SortOrder
  36. MarioFramework.Api.Services.Users.StaffDto
  37. MarioFramework.Api.Services.Users.StaffRole
  38. MarioFramework.Api.Services.Users.StudentCreateUpdateDto
  39. MarioFramework.Api.Services.Users.StudentDetailDto
  40. MarioFramework.Api.Services.Users.StudentDto
  41. MarioFramework.Api.Services.Users.UserDto
  42. MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.CheckIns.SessionResponseDto]
  43. MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto]
  44. MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Conferences.ConferenceResponseDto]
  45. MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Surveys.SurveyResponseDto]
  46. MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Users.StudentDto]
  47. MarioFramework.Education.Models.ConferenceRubricType
  48. MarioFramework.Education.Models.FlagQuestion
  49. MarioFramework.Education.Models.QuestionTypeEnum
  50. MarioFramework.Education.Models.StatusConferenceRubricAnswer
  51. MarioFramework.Education.Models.SurveyEnum
  52. MarioFramework.Education.Services.Sessions.EmotionalQuestionAnswer
  53. MarioFramework.Education.Services.Sessions.LearningStrategyAnswer
  54. MarioFramework.Education.Services.Statistical.SkillsStatisticalDto

MarioFramework.Api.Services.CheckIns.CheckInResponseDto Up

id (optional)
Integer format: int32
startDate (optional)
Date format: date-time
teacherId (optional)
Integer format: int32
teacherName (optional)
teacherEmail (optional)
studentId (optional)
Integer format: int32
studentName (optional)
studentEmail (optional)
academicYear (optional)
results (optional)
questionResponses (optional)

MarioFramework.Api.Services.CheckIns.CheckInResultDto Up

id (optional)
Integer format: int32
startTime (optional)
Date format: date-time
endTime (optional)
Date format: date-time
isDone (optional)
isTeacherResult (optional)

MarioFramework.Api.Services.CheckIns.QuestionResponseDto Up

id (optional)
Integer format: int32
sessionResultId (optional)
Integer format: int32
questionName (optional)
type (optional)
fromLabel (optional)
toLabel (optional)
answer (optional)
listAnswers (optional)
questionAnswer (optional)

MarioFramework.Api.Services.CheckIns.SessionResponseDto Up

id (optional)
Integer format: int32
startDate (optional)
Date format: date-time
teacherId (optional)
Integer format: int32
teacherName (optional)
teacherEmail (optional)
studentId (optional)
Integer format: int32
studentName (optional)
studentEmail (optional)
academicYear (optional)
results (optional)

MarioFramework.Api.Services.ClassReflections.ClassReflectionActionPointDto Up

id (optional)
Integer format: int32
text (optional)
deadline (optional)
Date format: date-time

MarioFramework.Api.Services.ClassReflections.ClassReflectionDto Up

id (optional)
Integer format: int32
questionsResult (optional)
actionPoints (optional)
status (optional)
note (optional)
classType (optional)
time (optional)
Date format: date-time
teacherName (optional)
studentName (optional)
isDone (optional)
emailTeacher (optional)
emailStudent (optional)
grade (optional)
startOfDay (optional)

MarioFramework.Api.Services.ClassReflections.ClassReflectionQuestionDto Up

id (optional)
Integer format: int32
type (optional)
question (optional)
fromLabel (optional)
toLabel (optional)
emotionalQuestionAnswers (optional)
learningStrategyAnswers (optional)
answer (optional)

MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto Up

id (optional)
Integer format: int32
classType (optional)
classDate (optional)
Date format: date-time
teacherName (optional)
teacherEmail (optional)
teacherAvatar (optional)
studentId (optional)
Integer format: int32
studentName (optional)
studentEmail (optional)
receivedDate (optional)
Date format: date-time
studentAvatar (optional)
classImpactScore (optional)
status (optional)
sendDate (optional)
Date format: date-time
gradeLevel (optional)
gradeScore (optional)

MarioFramework.Api.Services.Conferences.ConferenceDetailDto Up

conferenceId (optional)
Integer format: int32
id (optional)
Integer format: int32
name (optional)
teacherId (optional)
Integer format: int32
studentId (optional)
Integer format: int32
assistantId (optional)
Integer format: int32
counselorId (optional)
Integer format: int32
secondaryTeacherId (optional)
Integer format: int32
teacherName (optional)
teacherProfileImage (optional)
studentName (optional)
studentProfileImage (optional)
instruction (optional)
conferenceResult (optional)
questionsResult (optional)
averageConferencePointBySkillResult (optional)
conferenceRubricStudentStatus (optional)
conferenceRubricTeacherStatus (optional)
teacherStartTime (optional)
Date format: date-time
studentStartTime (optional)
Date format: date-time
gradeLevel (optional)
teacherUserId (optional)
studentUserId (optional)
startTimeConference (optional)
Date format: date-time

MarioFramework.Api.Services.Conferences.ConferenceResponseDto Up

id (optional)
Integer format: int32
startDate (optional)
Date format: date-time
teacherName (optional)
studentName (optional)
academicYear (optional)

MarioFramework.Api.Services.Conferences.ConferenceResultDto Up

skillName (optional)
skillId (optional)
Integer format: int32
answer (optional)

MarioFramework.Api.Services.Conferences.ConferenceRubricItemDetailRowDto Up

id (optional)
Integer format: int32
name (optional)
teacherAnswer (optional)
studentAnswer (optional)
matchingAnswer (optional)

MarioFramework.Api.Services.Conferences.QuestionConferenceResultDto Up

id (optional)
Integer format: int32
type (optional)
question (optional)
fromLabel (optional)
toLabel (optional)
answer (optional)

MarioFramework.Api.Services.Profiles.ProfileResponseDto Up

id (optional)
role (optional)
firstName (optional)
lastName (optional)
fullName (optional)
email (optional)
address (optional)
gradeLevel (optional)
code (optional)
dateOfBirth (optional)
phone (optional)

MarioFramework.Api.Services.Surveys.AnswerOfSurvey Up

questionId (optional)
Integer format: int32
questionType (optional)
questionText (optional)
answer (optional)

MarioFramework.Api.Services.Surveys.BookSurveyResponseDto Up

id (optional)
Integer format: int32
title (optional)
sendDate (optional)
Date format: date-time
deadline (optional)
Date format: date-time
createdDate (optional)
Date format: date-time
isFavorite (optional)
numberOfRecipients (optional)
Integer format: int32
numberOfResponses (optional)
Integer format: int32
status (optional)

MarioFramework.Api.Services.Surveys.EmotionalQuestionAnswerDto Up

id (optional)
Integer format: int32
text (optional)
emotionalText (optional)
flag (optional)

MarioFramework.Api.Services.Surveys.QuestionAnswerUpdateDto Up

text (optional)
emotionalText (optional)
value (optional)
Integer format: int32
imageUrl (optional)
isCorrectAnswer (optional)
mark (optional)
Integer format: int32
flag (optional)

MarioFramework.Api.Services.Surveys.QuestionTemplateDto Up

questionText (optional)
type (optional)
fromLabel (optional)
toLabel (optional)
answers (optional)

MarioFramework.Api.Services.Surveys.ResultTemplateQuestionDto Up

id (optional)
Integer format: int32
questionType (optional)
questionText (optional)
averageScore (optional)
Double format: double
optionCount (optional)
map[String, Integer] format: int32
totalResponses (optional)
Integer format: int32

MarioFramework.Api.Services.Surveys.StudentRecipient Up

id (optional)
Integer format: int32
fullName (optional)
gradeLevel (optional)
avatar (optional)

MarioFramework.Api.Services.Surveys.SurveyCreateRequestDto Up

title (optional)
studentIds (optional)
array[Integer] format: int32
templateQuestions (optional)
additionalQuestions (optional)
deadline (optional)
Long format: int64
isFavorite (optional)
staffUserIds (optional)
externalEmails (optional)

MarioFramework.Api.Services.Surveys.SurveyDetailDto Up

id (optional)
Integer format: int32
title (optional)
createdBy (optional)
createdDate (optional)
Date format: date-time
deadline (optional)
Date format: date-time
allCount (optional)
Integer format: int32
pendingCount (optional)
Integer format: int32
completedCount (optional)
Integer format: int32
actionNeedCount (optional)
Integer format: int32
missedCount (optional)
Integer format: int32
externalCount (optional)
Integer format: int32
status (optional)
studentIds (optional)
array[Integer] format: int32
surveyResults (optional)

MarioFramework.Api.Services.Surveys.SurveyQuestionDto Up

id (optional)
Integer format: int32
type (optional)
categoryName (optional)
text (optional)
fromLabel (optional)
toLabel (optional)
answer (optional)
questionAnswer (optional)
emotionalQuestionAnswers (optional)

MarioFramework.Api.Services.Surveys.SurveyResponseDto Up

id (optional)
Integer format: int32
title (optional)
sendDate (optional)
Date format: date-time
deadline (optional)
Date format: date-time
createdDate (optional)
Date format: date-time
isFavorite (optional)
numberOfRecipients (optional)
Integer format: int32
numberOfResponses (optional)
Integer format: int32
status (optional)
createdBy (optional)
studentRecipients (optional)

MarioFramework.Api.Services.Surveys.SurveyResultStudentTemplateDto Up

id (optional)
Integer format: int32
template (optional)
questions (optional)

MarioFramework.Api.Services.Surveys.SurveyResultTemplateDto Up

id (optional)
Integer format: int32
template (optional)
questions (optional)

MarioFramework.Api.Services.Surveys.SurveyStudentDetailDto Up

surveyId (optional)
Integer format: int32
surveyResultId (optional)
Integer format: int32
title (optional)
studentId (optional)
Integer format: int32
fullName (optional)
gradeLevel (optional)
avatar (optional)
flagOfSurvey (optional)
templates (optional)

MarioFramework.Api.Services.Surveys.SurveyTemplateDto Up

id (optional)
Integer format: int32
templateName (optional)
questions (optional)

MarioFramework.Api.Services.Surveys.SurveyTemplateQuestionDto Up

additionalQuestions (optional)
templateQuestions (optional)

MarioFramework.Api.Services.Surveys.TemplateDto Up

id (optional)
Integer format: int32
questionIds (optional)
array[Integer] format: int32

MarioFramework.Api.Services.Users.ScheduleDto Up

id (optional)
Integer format: int32
classType (optional)
period (optional)
Date format: date-time
teacherName (optional)
teacherEmail (optional)
gradeScore (optional)

MarioFramework.Api.Services.Users.SortField Up

MarioFramework.Api.Services.Users.SortFieldStudent Up

MarioFramework.Api.Services.Users.SortOrder Up

MarioFramework.Api.Services.Users.StaffDto Up

userId (optional)
fullName (optional)
email (optional)
avatar (optional)
roles (optional)

MarioFramework.Api.Services.Users.StaffRole Up

MarioFramework.Api.Services.Users.StudentCreateUpdateDto Up

firstName (optional)
lastName (optional)
dateOfBirth (optional)
Date format: date-time
email (optional)

MarioFramework.Api.Services.Users.StudentDetailDto Up

studentId (optional)
Integer format: int32
userId (optional)
firstName (optional)
lastName (optional)
email (optional)
grade (optional)
gender (optional)
dateOfBirth (optional)
Date format: date-time
status (optional)
schedules (optional)

MarioFramework.Api.Services.Users.StudentDto Up

studentId (optional)
Integer format: int32
userId (optional)
firstName (optional)
lastName (optional)
email (optional)
grade (optional)

MarioFramework.Api.Services.Users.UserDto Up

id (optional)
firstName (optional)
lastName (optional)
email (optional)
roles (optional)
dateOfBirth (optional)
Date format: date-time
createTime (optional)
Date format: date-time
profileImageFileName (optional)
fullName (optional)

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.CheckIns.SessionResponseDto] Up

currentPage (optional)
Integer format: int32
pageSize (optional)
Integer format: int32
totalItems (optional)
Integer format: int32
totalPages (optional)
Integer format: int32
items (optional)

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.ClassReflections.ClassReflectionsResponseDto] Up

currentPage (optional)
Integer format: int32
pageSize (optional)
Integer format: int32
totalItems (optional)
Integer format: int32
totalPages (optional)
Integer format: int32
items (optional)

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Conferences.ConferenceResponseDto] Up

currentPage (optional)
Integer format: int32
pageSize (optional)
Integer format: int32
totalItems (optional)
Integer format: int32
totalPages (optional)
Integer format: int32
items (optional)

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Surveys.SurveyResponseDto] Up

currentPage (optional)
Integer format: int32
pageSize (optional)
Integer format: int32
totalItems (optional)
Integer format: int32
totalPages (optional)
Integer format: int32
items (optional)

MarioFramework.Core.Dtos.PagedResponseDto`1[MarioFramework.Api.Services.Users.StudentDto] Up

currentPage (optional)
Integer format: int32
pageSize (optional)
Integer format: int32
totalItems (optional)
Integer format: int32
totalPages (optional)
Integer format: int32
items (optional)

MarioFramework.Education.Models.ConferenceRubricType Up

MarioFramework.Education.Models.FlagQuestion Up

MarioFramework.Education.Models.QuestionTypeEnum Up

MarioFramework.Education.Models.StatusConferenceRubricAnswer Up

MarioFramework.Education.Models.SurveyEnum Up

MarioFramework.Education.Services.Sessions.EmotionalQuestionAnswer Up

id (optional)
Integer format: int32
text (optional)
emotionalText (optional)

MarioFramework.Education.Services.Sessions.LearningStrategyAnswer Up

id (optional)
Integer format: int32
text (optional)
orderNumberQuestion (optional)
Integer format: int32
questionText (optional)

MarioFramework.Education.Services.Statistical.SkillsStatisticalDto Up

skillName (optional)
averageFinalChoice (optional)
Double format: double